preset-icon-container/* highways */

/* defaults */
.preset-icon .icon.tag-SitePathLink.other-line {
    color: #fff;
    fill: #777;
}
path.line.shadow.tag-SitePathLink {
    stroke-width: 16;
}
path.line.casing.tag-SitePathLink {
    stroke-width: 5;
    stroke: #fff;
    stroke-linecap: round;
    stroke-dasharray: none;
}
path.line.stroke.tag-SitePathLink {
    stroke: #ccc;
    stroke-width: 3;
    stroke-linecap: butt;
    stroke-dasharray: 6, 6;
}
.low-zoom path.line.shadow.tag-SitePathLink {
    stroke-width: 12;
}
.low-zoom path.line.casing.tag-SitePathLink {
    stroke-width: 3;
}
.low-zoom path.line.stroke.tag-SitePathLink {
    stroke-width: 1;
    stroke-linecap: butt;
    stroke-dasharray: 3, 3;
}


/* narrow highways */
path.line.shadow.tag-SitePathLink-Street,
path.line.shadow.tag-SitePathLink-Concourse,
path.line.shadow.tag-SitePathLink-OpenSpace {
    stroke-width: 16;
}
path.line.casing.tag-SitePathLink-Street,
path.line.casing.tag-SitePathLink-Concourse,
path.line.casing.tag-SitePathLink-OpenSpace {
    stroke-width: 7;
}
path.line.stroke.tag-SitePathLink-Street,
path.line.stroke.tag-SitePathLink-Concourse,
path.line.stroke.tag-SitePathLink-OpenSpace {
    stroke-width: 5;
}

.low-zoom path.line.shadow.tag-SitePathLink-Street,
.low-zoom path.line.shadow.tag-SitePathLink-Concourse,
.low-zoom path.line.shadow.tag-SitePathLink-OpenSpace {
    stroke-width: 12;
}
.low-zoom path.line.casing.tag-SitePathLink-Street,
.low-zoom path.line.casing.tag-SitePathLink-Concourse,
.low-zoom path.line.casing.tag-SitePathLink-OpenSpace {
    stroke-width: 5;
}
.low-zoom path.line.stroke.tag-SitePathLink-Street,
.low-zoom path.line.stroke.tag-SitePathLink-Concourse,
.low-zoom path.line.stroke.tag-SitePathLink-OpenSpace {
    stroke-width: 3;
}


/* living streets */
.preset-icon .icon.tag-SitePathLink-Street,
.preset-icon .icon.tag-SitePathLink-Concourse,
.preset-icon .icon.tag-SitePathLink-OpenSpace {
    color: #bbb;
    fill: #ddd;
}
path.line.stroke.tag-SitePathLink-Street,
path.line.stroke.tag-SitePathLink-Concourse,
path.line.stroke.tag-SitePathLink-OpenSpace {
    stroke: #ccc;
}
path.line.casing.tag-SitePathLink-Street,
path.line.casing.tag-SitePathLink-Concourse,
path.line.casing.tag-SitePathLink-OpenSpace {
    stroke: #fff;
}

/* corridors */
.preset-icon .icon.tag-SitePathLink-Corridor,
.preset-icon .icon.tag-SitePathLink-Hall {
    color: #8cd05f;
    fill: #fff;
}
path.line.stroke.tag-SitePathLink-Corridor,
path.line.stroke.tag-SitePathLink-Hall {
    stroke: #fff;
    stroke-dasharray: 2, 8;
}
.low-zoom path.line.stroke.tag-SitePathLink-Corridor,
.low-zoom path.line.stroke.tag-SitePathLink-Hall {
    stroke-dasharray: 1, 4;
}
path.line.casing.tag-SitePathLink-Corridor,
path.line.casing.tag-SitePathLink-Hall {
    stroke: #8cd05f;
    stroke-linecap: round;
    stroke-dasharray: none;
}

/* pedestrian streets */
.preset-icon .icon.tag-SitePathLink-Street,
.preset-icon .icon.tag-SitePathLink-OpenSpace,
.preset-icon .icon.tag-SitePathLink-Concourse {
    color: #988;
}
path.line.stroke.tag-SitePathLink-Street,
path.line.stroke.tag-SitePathLink-OpenSpace,
path.line.stroke.tag-SitePathLink-Concourse {
    stroke: #fff;
    stroke-width: 3.5;
    stroke-dasharray: 8, 8;
    stroke-linecap: butt;
}
.low-zoom path.line.stroke.tag-SitePathLink-Street,
.low-zoom path.line.stroke.tag-SitePathLink-OpenSpace,
.low-zoom path.line.stroke.tag-SitePathLink-Concourse {
    stroke-width: 2;
    stroke-dasharray: 4, 4;
}
path.line.casing.tag-SitePathLink-Street,
path.line.casing.tag-SitePathLink-OpenSpace,
path.line.casing.tag-SitePathLink-Concourse {
    stroke: #988;
    stroke-linecap: round;
    stroke-dasharray: none;
}
.preset-icon-container path.line.stroke.tag-SitePathLink-Street,
.preset-icon-container path.line.stroke.tag-SitePathLink-OpenSpace,
.preset-icon-container path.line.stroke.tag-SitePathLink-Concourse {
    stroke-dasharray: 12, 12;
}


/* steps */
.preset-icon .icon.tag-SitePathLink-Stairs {
    color: #81d25c;
    fill: #fff;
}
.preset-icon .icon.tag-SitePathLink-Escalator {
    color: #6B6B6B;
    fill: #fff;
}
path.line.stroke.tag-SitePathLink-Stairs,
path.line.stroke.tag-SitePathLink-Escalator {
    stroke-linecap: butt;
    stroke-dasharray: 3, 3;
}
.low-zoom path.line.stroke.tag-SitePathLink-Stairs,
.low-zoom path.line.stroke.tag-SitePathLink-Escalator {
    stroke-dasharray: 2, 2;
}
path.line.casing.tag-SitePathLink-Stairs,
path.line.casing.tag-SitePathLink-Escalator {
    stroke: #fff;
    stroke-linecap: round;
    stroke-dasharray: none;
}
path.line.stroke.tag-SitePathLink-Stairs,
.preset-icon-container path.line.casing.tag-SitePathLink-Stairs {
    stroke: #81d25c;
}
path.line.stroke.tag-SitePathLink-Escalator,
.preset-icon-container path.line.casing.tag-SitePathLink-Escalator {
    stroke: #6B6B6B;
}
.preset-icon-container path.line.stroke.tag-SitePathLink-Stairs,
.preset-icon-container path.line.stroke.tag-SitePathLink-Escalator {
    stroke: #fff;
}


/* Travelator */
.preset-icon .icon.tag-SitePathLink-Travelator {
    color: #6B6B6B;
    fill: #fff;
}
path.line.casing.tag-SitePathLink-Travelator {
    stroke: #fff;
}
path.line.stroke.tag-SitePathLink-Travelator,
.preset-icon-container path.line.casing.tag-SitePathLink-Travelator {
    stroke: #6B6B6B;
}
.preset-icon-container path.line.stroke.tag-SitePathLink-Travelator {
    stroke: #fff;
}


/* crossings */
path.line.stroke.tag-SitePathLink-Crossing {
    stroke-dasharray: 6, 3;
}
.low-zoom path.line.stroke.tag-SitePathLink-Crossing {
    stroke-dasharray: 3, 1.5;
}
path.line.stroke.tag-SitePathLink-Crossing {
    stroke: #4c4444;
}
.preset-icon .icon.tag-SitePathLink-Crossing {
    color: #4c4444;
}


/* platforms */
.preset-icon .icon.tag-SitePathLink-Quay {
    color: #555;
    fill: #777;
}

path.line.shadow.tag-SitePathLink-Quay {
    stroke-width: 16;
}
path.line.casing.tag-SitePathLink-Quay {
    stroke: #555;
    stroke-width: 7;
}
path.line.stroke.tag-SitePathLink-Quay {
    stroke-width: 2;
    stroke-linecap: butt;
    stroke-dasharray: none;
    stroke: #eee;
}
.low-zoom path.line.shadow.tag-SitePathLink-Quay {
    stroke-width: 12;
}


/* highway midpoints */
g.midpoint.tag-SitePathLink .fill {
    fill: #fff;
    stroke: #333;
    stroke-opacity: .8;
    opacity: .8;
}
